apiVersion: apps/v1
kind: Deployment
metadata :
  name: cartservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cartservice
  template:
    metadata:
      labels:
        app: cartservice
    spec:
      containers:
        - name: service 
          image: gcr.io/google-samples/microservices-demo/....:v0.2.3
          ports:
            - containerPort: 7070
          env: 
            - name: PORT
              value/valueFrom: "7070" 
            - name: REDIS_ADDR
              value: ".."
          livenessProbe: 
              periodeSeconds: 5 # Kol 5 secondes 
              exec: 
                  command: ["/bin/grpc_health_probe","-addr:9555"]
          readinessProbe: 
              periodeSeconds: 5 # Kol 5 secondes 
              exec: 
                  command: ["/bin/grpc_health_probe","-addr:9555"]
---   
apiVersion: v1  
kind: Service
metadata:
  name: cartservice
spec:
  type: ClusterIP
  selector:
    app: cartservice 
  ports:
    - protocol: TCP
      port: xxx 
      targetPort: xxx

